import { get, post } from "@/api/http";

const fix = "/role";

const url = {
  insert: `${fix}/insert`,
  page: `${fix}/page`,
  update: `${fix}/update`,
  delete: `${fix}/delete`,
};

export const insertRule = (params: Object) => {
  return post(url.insert, params);
};

export const getRuleList = (params: Object) => {
  return get(url.page, params);
};

export const updateRule = (params: Object) => {
  return post(url.update, params);
};
export const deleteRule = (params: Object) => {
  return post(url.delete, params);
};
